-- Insert data into Company table
INSERT INTO Company (company_id, name, address, vat, email, created_at, updated_at) VALUES
(1, 'AgencyOS Inc.', '123 Main St, Skopje, Macedonia', 'MK12345678', 'info@agencyos.com', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP),
(2, 'TechMasters', '45 Innovation Lane, Tetovo, Macedonia', 'MK98765432', 'contact@techmasters.com', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);

-- Insert data into User table
INSERT INTO User (user_id, name, email, password, role, company_id) VALUES
(1, 'John Doe', 'john.doe@agencyos.com', 'password123', 'Admin', 1),
(2, 'Jane Smith', 'jane.smith@agencyos.com', 'securepass456', 'HR', 1),
(3, 'Mark Lee', 'mark.lee@techmasters.com', 'pass789', 'Finance Manager', 2);

-- Insert data into Employee table
INSERT INTO Employee (employee_id, name, email, status, iban, cv, photo, notes, project, company_id, created_at, updated_at) VALUES
(1, 'Alice Brown', 'alice.brown@agencyos.com', 'Active', 'MK123456789', '/cvs/alice_brown.pdf', '/photos/alice.jpg', 'Top performer', 'Project Alpha', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP),
(2, 'Bob Green', 'bob.green@agencyos.com', 'Active', 'MK987654321', '/cvs/bob_green.pdf', '/photos/bob.jpg', 'Expert in backend', 'Project Beta', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP),
(3, 'Charlie White', 'charlie.white@techmasters.com', 'Active', 'MK112233445', '/cvs/charlie_white.pdf', '/photos/charlie.jpg', 'Excellent in frontend', 'Project Gamma', 2, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);

-- Insert data into Candidate table
INSERT INTO Candidate (candidate_id, name, email, status, cv, interview_stage, notes, company_id, created_at, updated_at) VALUES
(1, 'Eve Taylor', 'eve.taylor@gmail.com', 'Applied', '/cvs/eve_taylor.pdf', 'Initial Screening', 'Highly recommended', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP),
(2, 'Frank Harris', 'frank.harris@gmail.com', 'Interview', '/cvs/frank_harris.pdf', 'Technical Interview', 'Strong technical skills', 2, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);

-- Insert data into Client table
INSERT INTO Client (client_id, name, representative, email, phone, address, vat, logo, company_id, created_at, updated_at) VALUES
(1, 'Global Enterprises', 'Sophia Johnson', 'sophia.johnson@globalent.com', '+38977123456', '456 Business Rd, Bitola, Macedonia', 'MK55443322', '/logos/global_ent.jpg', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP),
(2, 'NextGen Solutions', 'Michael Carter', 'michael.carter@nextgen.com', '+38977234567', '789 Innovation Blvd, Ohrid, Macedonia', 'MK66778899', '/logos/nextgen.jpg', 2, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);

-- Insert data into Invoice table
INSERT INTO Invoice (invoice_id, from, to, issue_date, due_date, notes, status, company_id, client_id, created_at, updated_at) VALUES
(1, 'AgencyOS Inc.', 'Global Enterprises', '2025-01-15', '2025-02-15', 'Payment for Project Alpha', 'Pending', 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP),
(2, 'TechMasters', 'NextGen Solutions', '2025-01-10', '2025-02-10', 'Payment for Project Gamma', 'Draft', 2, 2, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);

-- Insert data into LineItem table
INSERT INTO LineItem (line_item_id, description, quantity, unit_price, currency, total, invoice_id) VALUES
(1, 'Custom Software Development', 100, 50.00, 'USD', 5000.00, 1),
(2, 'Maintenance and Support', 20, 75.00, 'USD', 1500.00, 1),
(3, 'Website Development', 50, 100.00, 'USD', 5000.00, 2);

-- Insert data into EmailTemplate table
INSERT INTO EmailTemplate (template_id, type, subject, body, company_id, created_at, updated_at) VALUES
(1, 'New Invoice', 'Invoice Issued', 'Dear {{client_name}},\n\nYour invoice #{{invoice_id}} has been issued.', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP),
(2, 'Welcome Employee', 'Welcome to AgencyOS', 'Dear {{employee_name}},\n\nWelcome to the team at {{company_name}}!', 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
